## GdlDockPaned GdlDockPaned — Arrange dock widget in two adjustable panes |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    struct              GdlDockPaned;
    GtkWidget *         gdl_dock_paned_new                  (GtkOrientation orientation);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GdlDockObject
                               +----GdlDockItem
                                     +----GdlDockPaned

## Implemented Interfaces

GdlDockPaned implements AtkImplementorIface and GtkBuildable.

## Properties

      "position"                 guint                 : Read / Write

## Description

A GdlDockPaned is a compound dock widget. It can dock one or two children, including another compound widget like a GdlDockPaned or a GdlDockNotebook. The children are displayed in two panes using a GtkPaned widget. A GdlDockPaned is normally created automatically by the master when docking a child on any edge: top, bottom, left or right.

## Details

### struct GdlDockPaned

    struct GdlDockPaned;

### gdl_dock_paned_new ()

    GtkWidget *         gdl_dock_paned_new                  (GtkOrientation orientation);

Creates a new manual GdlDockPaned widget. This function is seldom useful as such widget is normally created and destroyed automatically when needed by the master.

`orientation` : | the pane's orientation.
Returns : | a new GdlDockPaned.

## Property Details

### The `"position"` property

      "position"                 guint                 : Read / Write

Position of the divider in pixels.

Allowed values: <= G_MAXINT

Default value: 0

## See Also

GdlDockNotebook, GdlDockMaster